$(document).ready(function(e) {

	if($("[data-class='widget_elements']").length>0){
		$("[data-class='widget_elements']").each(function(){
			var widgetID =  $(this).attr('data-widget');
			var href =  $(this).attr('data-href');
			$.ajax({
				type:"GET",
				url:GLOBAL_BASE_PATH + href,
				beforeSend:function(){	
				},
				success:function(html){
					if($.trim(html)==''){
						$("#widget_element_"+widgetID).parent().remove();
					}else{
						$("#widget_element_"+widgetID).html(html);
					}
					
				}
			});
		});
	}

	$(document).on("click",'.widgets_tab',function(){
		$(this).parent().siblings().find('a').removeClass('active');
		$(this).addClass('active'); 
		var rel= $(this).attr('rel');
		var widgettab= $(this).attr('data-widgettab');
		$(".viewmorelink").removeClass('active');
		$("#viewmore_"+widgettab).addClass('active');
		var slider= $(this).attr('slider');
		var widgetID= $(this).attr('data-widget');
                var href =  $(this).attr('data-href');                
                //$(".tabpane_"+widgetID).addClass('hide');                
                $("#"+rel).removeClass('hide');
                if($("#"+rel).html().length<=70) {
                      //  $(".wid-loader-tab-items-"+widgetID).removeClass('hide');
                                $.ajax({
                                        type:"GET",
                                        url:GLOBAL_BASE_PATH + href,
                                        beforeSend:function(){	
										
										$(".pop_loader").show();
                                        },
										complete:function(){
											$(".pop_loader").hide();
										},
                                        success:function(html){
                                                //$(".tabpane_"+widgetID).addClass('hide');
                                              //  $(".wid-loader-tab-items-"+widgetID).addClass('hide');
                                                if($.trim(html)==''){

                                                }else{
                                                        $("#"+rel).html(html);
                                                }
                                                $(".tabpane_"+widgetID).addClass('hide'); 
                                                $("#"+rel).removeClass('hide');
                                        }
                                });
                } else {
                    $(".tabpane_"+widgetID).addClass('hide');
                    $("#"+rel).removeClass('hide');
                }
                 
		
        var selectTab = $(this).text();
		$(this).parents('ul').prev('.SlectboxMob').text(selectTab); 
		$(this).parents('ul').addClass("hidden-Mob");  
        if(typeof (window[slider])!="undefined"){
		  (window[slider]).reloadSlider(); 
        }
		
		
	})
});


